Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class AsyncFetchStatus.CompletedWithException

java.lang.Object
org.firebirdsql.gds.ng.wire.AsyncFetchStatus.Pending
org.firebirdsql.gds.ng.wire.AsyncFetchStatus.CompletedWithException

All Implemented Interfaces:
  `AsyncFetchStatus`

Enclosing interface:
  AsyncFetchStatus

public static final class AsyncFetchStatus.CompletedWithException extends AsyncFetchStatus.Pending
Signals an async fetch which completed with an exception.

Although the async operation itself completed, this is considered to be still pending, where the completion operation is throwing the exception to the caller of a `fetch`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.AsyncFetchStatus

`AsyncFetchStatus.CompletedWithException, AsyncFetchStatus.NonePending, AsyncFetchStatus.Pending`

## Method Summary

Modifier and Type
Method
Description
`Optional<SQLException>`
`exception()`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AsyncFetchStatus.Pending

`isPending`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### exception

public Optional<SQLException> exception()

Returns:
  exception from the last unsuccessfully completed asynchronous fetch